Bug 436479 - Review Request: perl-Net-Amazon-EC2 - Perl interface to the Amazon Elastic Compute Cloud (EC2)
Review Request: perl-Net-Amazon-EC2 - Perl interface to the Amazon Elastic Co...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 09:38 EST by Robert Rati
Modified: 2010-11-29 11:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 13:40:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nsantos: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2008-03-07 09:38:20 EST
Spec URL: http://grid.et.redhat.com/files/perl-Net-Amazon-EC2.spec
SRPM URL: http://grid.et.redhat.com/files/perl-Net-Amazon-EC2-0.06-1.fc8.src.rpm
Description:
This module provides an interface to the Amazon Elastic Compute Cloud (EC2)

This is 1 of 2 "first" packages, and I am looking for a sponsor.
Comment 1 Nuno Santos 2008-03-07 14:50:18 EST
Reviewed according to guidelines at
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Builds under mock (on devel):

$ mock perl-Net-Amazon-EC2-0.06-1.fc8.src.rpm 
init
clean
prep
This may take a while
create cache
setup
build
ending
done
Results and/or logs in: /var/lib/mock/fedora-development-i386/result

$ cd /var/lib/mock/fedora-development-i386/result
$ ls -alF
total 124
drwxrwsr-x 2 nsantos mock  4096 2008-03-07 14:31 ./
drwxrwsr-x 5 nsantos mock  4096 2008-03-07 14:27 ../
-rw-rw-r-- 1 nsantos mock 11831 2008-03-07 14:31 build.log
-rw-rw-r-- 1 nsantos mock   165 2008-03-07 14:27 mockconfig.log
-rw-r--r-- 1 nsantos mock 25187 2008-03-07 14:31
perl-Net-Amazon-EC2-0.06-1.fc9.noarch.rpm
-rw-r--r-- 1 nsantos mock 32448 2008-03-07 14:31
perl-Net-Amazon-EC2-0.06-1.fc9.src.rpm
-rw-rw-r-- 1 nsantos mock 38886 2008-03-07 14:31 root.log

$ rpmlint *.rpm
(no output)


The only two things missing are:
- Every %files section must include a %defattr(...) line.
- missing packager name on the changelog
Comment 2 Robert Rati 2008-03-07 16:21:18 EST
Addressed the above two issues.
Comment 3 Nuno Santos 2008-03-07 16:34:29 EST
Specfile looks fine now (have also rebuilt under mock and installed the noarch rpm).

Marking as fedora-review+
Comment 4 Robert Rati 2008-03-10 11:03:51 EDT
New Package CVS Request
=======================
Package Name: perl-Net-Amazon-EC2
Short Description: Perl interface to the Amazon Elastic Compute Cloud (EC2)
Owners: rrati
Branches: 
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-03-10 14:28:12 EDT
Fixing summary
Comment 6 Lubomir Rintel 2010-11-26 15:13:21 EST
Package Change Request
======================
Package Name: perl-Net-Amazon-EC2
New Branches: el6
Owners: lkundrak

Fedora maintainer was asked about willingness to maintain this in EPEL, no response in 5 days. That might not be much, but I've a looked up a mail from him about perl-Net-Amazon-S3 (a different but related package) in EPEL 5 and his response was that he doesn't have much time to take care of it in el5. I assume this could be a similar situation and proceeded with filing the VCS request; if it turns out to be false and rrati objects (which is unlikely) it's easy to switch maintainership to him.
Comment 7 Jason Tibbitts 2010-11-29 11:55:10 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.